using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;

namespace ComboBoxWithDataBinding
{
    class Countries : ObservableCollection<Country>
    {
        public Countries()
        {
            Add(new Country
            {
                Name = "Anglia",
                Flag = new Uri("pack://application:,,,/Images/FlagaAnglia.png")
            });
            Add(new Country
            {
                Name = "Francja",
                Flag = new Uri("pack://application:,,,/Images/FlagaFrancja.png")
            });
            Add(new Country
            {
                Name = "Niemcy",
                Flag = new Uri("pack://application:,,,/Images/FlagaNiemcy.png")
            });
        }
    }
}
